Skip to main content
DocsAPI ReferenceAgents
ApiNotifications

Create a notification subscription

View Markdown

Create an email or webhook notification for tracker alerts. Email notifications take one or more recipients; webhook notifications get a signing secret. Free.

POST/v1/notifications/

Authorization

accessKey
x-access-key<token>

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/v1/notifications/" \  -H "Content-Type: application/json" \  -d '{    "channel": "email"  }'
{
  "success": true,
  "data": {
    "id": "string",
    "enabled": true,
    "channel": "email",
    "eventTypes": [
      "mention_lost"
    ],
    "brandId": null,
    "emailRecipients": [
      "string"
    ],
    "webhookUrl": null,
    "webhookSecret": null,
    "lastTestAt": null,
    "lastTestStatus": null,
    "createdAt": "string",
    "updatedAt": "string"
  }
}
{
  "success": false,
  "message": "string"
}
{
  "success": false,
  "message": "string"
}
{
  "success": false,
  "message": "string"
}